Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class WaitConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.WaitConfig

    public class WaitConfig

extends BaseConfig

Wait configuration class.

See Also:
  `MessageBoxConfig.setWaitConfig(WaitConfig)`, `ProgressBar.wait(WaitConfig)`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`WaitConfig()` Create a new WaitConfig.
`WaitConfig(int duration)` Create a new WaitConfig.
`WaitConfig(int duration, int interval, int increment)` Create a new WaitConfig.

Method Summary
`void` | `setCallback(Function callback)` A callback function to execute after the progress bar finishes auto-updating.
`void` | `setDuration(int duration)` The length of time in milliseconds that the progress bar should run before resetting itself (defaults to undefined, in which case it will run indefinitely until reset is called).
`void` | `setIncrement(int increment)` The number of progress update segments to display within the progress bar (defaults to 10).
`void` | `setInterval(int interval)` The length of time in milliseconds between each progress update (defaults to 1000 ms).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WaitConfig

    public WaitConfig()

  Create a new WaitConfig.

### WaitConfig

    public WaitConfig(int duration)

  Create a new WaitConfig.

  Parameters:
    `duration` - the length of time in milliseconds that the progress bar should run before resetting itself

### WaitConfig

    public WaitConfig(int duration,
                      int interval,
                      int increment)

  Create a new WaitConfig.

  Parameters:
    `duration` - the length of time in milliseconds that the progress bar should run before resetting itself
    `interval` - The length of time in milliseconds between each progress update
    `increment` - the number of progress update segments to display within the progress bar (defaults to 10).

Method Detail

### setDuration

    public void setDuration(int duration)

  The length of time in milliseconds that the progress bar should run before resetting itself (defaults to undefined, in which case it will run indefinitely until reset is called).

  Parameters:
    `duration` - the duration

### setInterval

    public void setInterval(int interval)

  The length of time in milliseconds between each progress update (defaults to 1000 ms).

  Parameters:
    `interval` - the interval

### setIncrement

    public void setIncrement(int increment)

  The number of progress update segments to display within the progress bar (defaults to 10). If the bar reaches the end and is still updating, it will automatically wrap back to the beginning.

  Parameters:
    `increment` - the increment

### setCallback

    public void setCallback(Function callback)

  A callback function to execute after the progress bar finishes auto-updating. This function will be ignored if duration is not specified since in that case the progress bar can only be stopped programmatically, so any required function should be called by the same code after it resets the progress bar.

  Parameters:
    `callback` - the callback function

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD